import { get, post, path } from "@/http/http.js"

/**
 * 微信登录
 */
export function api_wechatLoginEncrypt(data){
  return post("/auth/wxlogina", data);
}

/**
 * 微信登录2
 */
export function api_wechatAuth(data){
  return post("/auth/wxlogin", data);
}

/**
 * 绑定工号
 */
export function api_bindAccount(data){
  return post("/data/isBindAccount", data);
}

/**
 * 获取系统名称
 */
export function api_getSysNameAndLogo(){
  return get("/auth/getSysNameAndLogo");
}

/**
 * 获取字典列表
 */
export function api_getDictionary(data){
  return post("/common/common/getDictionary", data);
}

/**
 * 获取工单列表
 */
export function api_incident(data){
  return post("/user/data/fetchDataList/incident", data);
}

/**
 * 获取工单列表-数量
 */
export function api_incident_count(data){
  return post("/flow/incident/list/count", data);
}

/**
 * 获取楼栋列表
 */
export function api_area(data){
  return post("/user/data/fetchDataList/area", data);
}

/**
 * 获取故障现象列表
 */
export function api_incidentcategory(data){
  return post("/incident/listIncidentCategory", data);
}

/**
 * 获取报修图片列表
 */
export function api_wechatRequesterIncident(data){
  return get("/common/common/listAttachment/wechatRequesterIncident/" + data);
}

/**
 * 获取通话音频
 */
export function api_callrecord(data){
  return post("/bpm/data/fetchDataList/callrecord", data);
}

/**
 * 获取工作组列表
 */
export function api_group(data){
  return post("/data/fetchDataList/group2", data);
}

/**
 * 获取人员列表
 */
export function api_user(data){
  return post("/data/fetchDataList/user", data);
}

/**
 * 获取院区列表
 */
export function api_branch(data){
  return post("/data/fetchDataList/hospital", data);
}

/**
 * 获取责任科室列表
 */
export function api_dutyDepartment(data){
  return post("/user/data/fetchDataList/dutyDepartment", data);
}

/**
 * 获取事件详情
 */
export function api_incidentDetail(data){
  return get("/simple/data/fetchData/incident/" + data);
}

/**
 * 转派/指派/退回/延期处理/新建事件
 */
export function api_incidentTask(type, data){
  return post("/flow/incident/task/" + type, data);
}

/**
 * 获取汇总单信息
 */
export function api_querySummaryDoc(data){
  return post("/incident/data/querySummaryDoc", data);
}

/**
 * 获取耗材列表
 */
export function api_consumable(data){
  return post("/bpm/data/fetchDataList/consumable", data);
}

/**
 * 添加/修改/删除耗材
 */
export function api_addSummaryDoc(data){
  return post("/incident/data/addSummaryDoc", data);
}

/**
 * 获取工时管理列表
 */
export function api_workHourManagement(data){
  return post("/bpm/data/fetchDataList/workHourManagement", data);
}

/**
 * 上传附件
 */
export function api_uploadAttachment(type, id){
  return `${path}/common/common/uploadAttachment/${type}/${id}/${id}`
}

/**
 * 获取附件
 */
export function api_listAttachment(type, id){
  return get(`/common/common/listAttachment/${type}/${id}`);
}

/**
 * 获取事件流程
 */
export function api_incidentLog(data){
  return post("/simple/data/fetchDataList/incidentLog", data);
}

/**
 * 获取报修科室列表
 */
export function api_department(data){
  return post("/data/fetchDataList/department", data);
}

/**
 * 获取地点列表
 */
export function api_place(data){
  return post("/user/data/fetchDataList/place", data);
}

/**
 * 获取系统配置
 */
export function api_systemConfiguration(data){
  return post("/sysinfo/data/fetchDataList/systemConfiguration", data);
}

/**
 * 获取事件单号
 */
export function api_sj(){
  return get("/bpm/bpm/restful");
}

/**
 * 获取故障耗材
 */
export function api_incidentCategoryConsumable(data){
  return post("/user/data/fetchDataList/incidentCategoryConsumable", data);
}

// 获取知识库列表
export function api_getSolution(data){
  return post("/data/fetchDataList/solution", data);
}
	
/**
 * 账号密码登录
 */
export function api_loginEncrypt(data){
  return post("/auth/loginEncrypt", data);
}

/**
 * 获取巡检执行列表
 */
export function api_inspectionTask(data){
  return post("/simple/data/fetchDataList/inspectionTask", data);
}

/**
 * 获取巡检执行列表-数量
 */
export function api_listCount(data){
  return post("/itsmTemp/listCount", data);
}

/**
 * 获取字典列表
 */
export function api_hsms_getDictionary(data){
  return post("/hsms/common/getDictionary", data);
}

/**
 * 获取巡检单列表
 */
export function api_inspectionForm(data){
  return post("/simple/data/fetchDataList/inspectionForm", data);
}

/**
 * 获取楼栋列表
 */
export function api_building(data){
  return post("/hsms/fetchDataList/building", data);
}

/**
 * 巡检签到
 */
export function api_scanCode(data){
  return post("/itsmTemp/scanCode", data);
}
/**
 * 巡检执行项保存
 */
export function api_addModel(data){
  return post("/itsmTemp/addModel", data);
}

/**
 * 报修端-公告
 */
export function api_getNotice(data){
  return post("/user/data/fetchDataList/notice", data);
}

/**
 * 报修端-首页
 */
export function api_getCount(data){
  return post("/repair/incident/count", data);
}

/**
 * 报修端-保存个人信息
 */
export function api_userSave(data){
  return post("/user/data/updData/user", data);
}

/**
 * 报修端-保存个人信息
 */
export function api_taskresolve(data){
  return post("/flow/incident/task/resolve", data);
}

/**
 * 报修端-提交报修
 */
export function api_request(data){
  return post("/flow/incident/task/request", data);
}

// 通用list
export function getFetchDataList(type, target, data){
  return post("/" + type + "/fetchDataList/" + target, data);
}

// 报修资产扫描
export function api_repairScanCode(data){
  return post("/repair/scanCode", data);
}

// 报修工单撤回
export function api_repairCancel(data){
  return post("/flow/incident/task/cancel", data);
}